### Hierarchy

- Permission

## Index

### Constructors

- constructor

### Properties

- change
- crud
- crudArray
- displayDefault
- el
- permissions
- read
- roles
- rolesExcept
- rolesOnly

### Methods

- componentDidLoad
- componentDidUpdate
- getCrud
- render
- setCrud
- setStyles

### Object literals

- state

## Constructors

### constructor

- new Permission(): Permission

- - Defined in permission/permission.tsx:42

  #### Returns Permission

## Properties

### change

change: EventEmitter

- Defined in permission/permission.tsx:42

### crud

crud: string

- Defined in permission/permission.tsx:39

### crudArray

crudArray: any[] = []

- Defined in permission/permission.tsx:23

### displayDefault

displayDefault: string

- Defined in permission/permission.tsx:24

### el

el: HTMLElement

- Defined in permission/permission.tsx:27

### permissions

permissions: PermissionsService

- Defined in permission/permission.tsx:25

### read

read: boolean = true

- Defined in permission/permission.tsx:40

### roles

roles: string[] = ['ANONYMOUS']

- Defined in permission/permission.tsx:22

### rolesExcept

rolesExcept: string

- Defined in permission/permission.tsx:38

### rolesOnly

rolesOnly: string

- Defined in permission/permission.tsx:37

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in permission/permission.tsx:48

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in permission/permission.tsx:53

  #### Returns void

### getCrud

- getCrud(): object

- - Defined in permission/permission.tsx:58

  #### Returns object

### render

- render(): Element

- - Defined in permission/permission.tsx:88

  #### Returns Element

### setCrud

- setCrud(create: boolean, read: boolean, update: boolean, del: boolean, execute?: boolean): void

- - Defined in permission/permission.tsx:63

  #### Parameters

  - ##### create: boolean

  - ##### read: boolean

  - ##### update: boolean

  - ##### del: boolean

  - ##### Default value execute: boolean = true

  #### Returns void

### setStyles

- setStyles(): void

- - Defined in permission/permission.tsx:71

  #### Returns void

## Object literals

### state

state: object

- Defined in permission/permission.tsx:29

### create

create: boolean = false

- Defined in permission/permission.tsx:30

### delete

delete: boolean = false

- Defined in permission/permission.tsx:33

### execute

execute: boolean = true

- Defined in permission/permission.tsx:34

### read

read: boolean = true

- Defined in permission/permission.tsx:31

### update

update: boolean = false

- Defined in permission/permission.tsx:32